#include <PalmOS.h>
#include <PalmCompatibility.h>
#include <Unix/sys_types.h>
#include "stdio2.h"
#include "stringil.h"
#include "zfaxz.h"

void cleanFAX();
void faxrec();
void faxsend(char *);
extern int doFAX(FILE * fp);
extern void faxdisp(char *cp);
extern char *faxcvt(char *);

UInt32 PilotMain(UInt16 cmd, void *cmdPBP, UInt16 launchFlags)
{
  char *cp = NULL;
  FormPtr ff;
  int k;

  if (cmd != sysAppLaunchCmdOpenDB || !cmdPBP || !strlen(cmdPBP)) {

    if (cmd != sysAppLaunchCmdNormalLaunch)
      return 0;

    if (!(ff = FrmInitForm(ffunc)))
      return 0;
    k = FrmDoDialog(ff);
    FrmDeleteForm(ff);
    switch (k) {
    case brec:
      faxrec();
      return 0;
    case bcvt:
      faxcvt(NULL);
      return 0;
    case bcvtsnd:
      if ((cp = faxcvt(NULL)))
        faxsend(cp);
      return 0;
    case bcanc:
      return 0;
    }
  } else {

    cp = cmdPBP;
    switch (*cp++) {
    case 'R':
      faxrec();
      return 0;
    case 'S':
      faxsend(cp);
      return 0;
    case 'V':
      faxdisp(cp);
      return 0;
    case 'C':
      faxcvt(cp);
      return 0;
    default:
      return 0;
    }
  }
  return 0;
}
