#include <PalmOS.h>
#include <PalmCompatibility.h>
#include <Unix/sys_types.h>
#include <stringil.h>

DWord PilotMain(Word cmd, Ptr cmdPBP, Word launchFlags)
{
  UInt32 romVersion;
  LocalID lid, zlid;
  VoidHand hand;
  Word cardno, zcardno;
  UInt32 crea;
  unsigned char *ptr;
  struct {
    UInt16 cn;
    LocalID li;
  } *x;
  DmSearchStateType sst;

  if (cmd != sysAppLaunchCmdNormalLaunch)
    return 0;
#if 0
  FtrGet(sysFtrCreator, sysFtrNumROMVersion, &romVersion);
  romVersion = romVersion >= sysMakeROMVersion(3, 2, 0, sysROMStageRelease, 0);

  if( romVersion ) {
    SysCurAppDatabase(&cardno, &zlid);
    DmDatabaseInfo(cardno, zlid, NULL, NULL, NULL, NULL, NULL,
		   NULL, NULL, NULL, NULL, NULL, &crea);
  }
#endif
  hand = DmGetResource('LBOX', 1);
  ptr = MemHandleLock(hand);
  memcpy(&crea,ptr,4);
  ptr += 4;
  cardno = *ptr++ << 8;
  cardno += *ptr++;
  lid = DmFindDatabase(cardno, ptr);
  MemHandleUnlock(hand);

  WinDrawChars(&crea, 4, 0, 0);
  WinDrawChars(ptr, StrLen(ptr), 0, 15);

#if 1
  DmGetNextDatabaseByTypeCreator(true, &sst, 'appl', crea, true, &zcardno, &zlid );
#else
  switch(crea) {
  case 'TZIP':
    zlid = DmFindDatabase(0, "RUnZip");
    break;
  case 'clpr':
    zlid = DmFindDatabase(0, "Clipper");
    break;
  default:
    return 0;
  }
#endif

  x = MemPtrNew(8);
  x->cn = cardno;
  x->li = lid;
  MemPtrSetOwner(x, 0);

  if (zlid)
    SysUIAppSwitch(zcardno, zlid, sysAppLaunchCmdOpenDB, x);

  return 0;
}
